summaryrefslogtreecommitdiff
path: root/scripts/find-debuginfo.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/find-debuginfo.sh')
-rw-r--r--scripts/find-debuginfo.sh5
1 files changed, 3 insertions, 2 deletions
diff --git a/scripts/find-debuginfo.sh b/scripts/find-debuginfo.sh
index 84629dc04..97e052d94 100644
--- a/scripts/find-debuginfo.sh
+++ b/scripts/find-debuginfo.sh
@@ -137,9 +137,10 @@ strip_to_debug()
# Support an alternative way to choose between strip (binutils) and
# eu-strip (elfutils) to handle a large shared object (e.g. chromium)
if [ "$STRIP_DEFAULT_PACKAGE" != "binutils" ]; then
- eu-strip --remove-comment $g $strip_option -f "$1" "$2" || exit
+ eu-strip --remove-comment $g $strip_option -f "$1" "$2" || exit
else
- strip --remove-section=.comment $g $strip_option -o "$1" "$2" || exit
+ mv $2 $1
+ strip --remove-section=.comment $g $strip_option -o "$2" "$1" || exit
fi
esac
chmod 444 "$1" || exit